Page MenuHomePhabricator

Article icon in list without article image is at 65%, leading to blurred icon at 54.6px
Closed, ResolvedPublic

Description

The icon for articles without article image is set to 65% in list. When applied to suggestion list currently set to 84px it's resulting in a 54.6px icon, being blurry.
Normally the advise for icons would be to set it at multiples of original icon size, in our case 40 or 60 pixel.

Current:

40px60px50px

40 might be too small, 60 a tad too big. But even setting it to a rounded pixel value and a multiple of 2.5 at 50px is a better outcome than currently.

QA plan

Affected projects: All Wikipedias
Pre-deployment testing: CX testing instance / Beta Cluster
Post-deployment testing: Any Wikipedia

Outcome

Article images in Content Translation dashboard are not blurred anymore

Event Timeline

Volker_E created this task.Mar 2 2020, 1:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2020, 1:24 AM
Pginer-WMF triaged this task as Medium priority.Apr 24 2020, 3:40 PM
Pginer-WMF moved this task from Needs Triage to Bugs on the ContentTranslation board.

Change 595937 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] ContentTranslation: Fix default article icon size

https://gerrit.wikimedia.org/r/595937

Change 595937 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Dashboard: Fix fallback image size for articles

https://gerrit.wikimedia.org/r/595937

ngkountas added a subscriber: Pginer-WMF.
ngkountas added a subscriber: ngkountas.
ngkountas removed a subscriber: ngkountas.
Nikerabbit updated the task description. (Show Details)May 28 2020, 11:24 AM
Jpita closed this task as Resolved.Jun 2 2020, 4:07 AM